using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ShoppingList
{
    /// <summary>
    /// MainWindow.xaml 的交互逻辑
    /// </summary>
    public partial class MainWindow : Window
    {
  

        public MainWindow()
        {
            InitializeComponent();

        }

        private void btnAdd_Click(object sender, RoutedEventArgs e)
        {
            if (listProducts.SelectedIndex > -1) {
                ListBoxItem item = (ListBoxItem)listProducts.SelectedItem;
                listOrders.Items.Add(item.Content);
            }
        }

        private void btnRemove_Click(object sender, RoutedEventArgs e)
        {
            if (listOrders.SelectedIndex > -1) {
                listOrders.Items.Remove(listOrders.SelectedItem);
            }
        }

        private void btnAddAll_Click(object sender, RoutedEventArgs e)
        {
            foreach (ListBoxItem item in listProducts.Items) {
                listOrders.Items.Add(item.Content);
            }
        }

        private void btnRemoveAll_Click(object sender, RoutedEventArgs e)
        {
            listOrders.Items.Clear();
        }
    }
}
